## org.codehaus.groovy.antlr.treewalker
Class SourceCodeTraversal

A treewalker for the antlr generated AST that attempts to visit the AST nodes in the order needed to generate valid groovy source code.

author:
  Jeremy Rayner

version:
  $Revision: 8794 $

Constructor Summary
`SourceCodeTraversal(Visitor visitor)` Constructs a treewalker for the antlr generated AST that attempts to visit the AST nodes in the order needed to generate valid groovy source code.

Method Summary
`void` | `accept(GroovySourceAST currentNode)`
`void` | `setUp(GroovySourceAST t)` gather, sort and process all unvisited nodes
`void` | `traverse(GroovySourceAST t)` traverse an AST node

Constructor Detail

### SourceCodeTraversal

    public SourceCodeTraversal(Visitor visitor)

  Constructs a treewalker for the antlr generated AST that attempts to visit the AST nodes in the order needed to generate valid groovy source code.
  param:
    visitor the visitor implementation to call for each AST node.

Method Detail

### accept

    void accept(GroovySourceAST currentNode)

### setUp

    public void setUp(GroovySourceAST t)

  gather, sort and process all unvisited nodes
  param:
    t the AST to process

### traverse

    void traverse(GroovySourceAST t)

  traverse an AST node
  param:
    t the AST node to traverse